> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a PIX bank account



## OpenAPI

````yaml openapi/account.yaml post /v1/businessAccount/banks/pix
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/businessAccount/banks/pix:
    post:
      tags:
        - PIX
      summary: Create a PIX bank account
      operationId: createBusinessPixAccount
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PixFiatAccountCreationRequest'
      responses:
        '201':
          description: Successfully created a bank account for PIX transfers.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: CreateBusinessPixAccountResponse
                properties:
                  data:
                    $ref: '#/components/schemas/PixFiatAccountResponse'
              examples:
                response:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      status: pending
                      description: BTG Pactual ****0010
                      trackingRef: CIR13FB13A
                      transferTypesInfo:
                        pix:
                          currencies:
                            - BRL
                      riskEvaluation:
                        decision: approved
                        reason: '3000'
                      policyEvaluation:
                        status: approved
                      fingerprint: eb170539-9e1c-4e92-bf4f-1d09534fdca2
                      createDate: '2020-04-10T02:13:30.000Z'
                      updateDate: '2020-04-10T02:13:30.000Z'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    PixFiatAccountCreationRequest:
      type: object
      required:
        - idempotencyKey
        - name
        - accountNumber
        - ispb
        - branchCode
        - taxId
        - accountType
      properties:
        idempotencyKey:
          $ref: '#/components/schemas/IdempotencyKey'
        name:
          type: string
          description: Name of the beneficiary.
          example: CIRCLE INTERNET FINANCIAL INC
        accountNumber:
          type: string
          description: Beneficiary account number.
          example: '322286803'
        ispb:
          type: string
          description: Beneficiary ISPB.
          example: '68033222'
        branchCode:
          type: string
          description: Beneficiary account branch code.
          example: '123'
        taxId:
          type: string
          description: Beneficiary Tax ID.
          example: '57112345675712'
        accountType:
          $ref: '#/components/schemas/PixAccountType'
    PixFiatAccountResponse:
      type: object
      required:
        - id
        - status
        - description
        - trackingRef
        - fingerprint
        - createDate
        - updateDate
        - transferTypesInfo
      properties:
        id:
          $ref: '#/components/schemas/Id'
        status:
          $ref: '#/components/schemas/ExternalFiatAccountStatus'
        description:
          type: string
          description: Bank name plus last four digits of the PIX account number.
          example: BTG Pactual ****0010
        trackingRef:
          type: string
          description: >-
            Wire tracking ref that needs to be set in the wire reference to
            beneficiary field.
          example: CIR13FB13A
        transferTypesInfo:
          type: object
          description: >-
            A <TransferType, TransferTypeInfo> map which shows transfer types
            supported on this account as well as additional information for
            each. For PIX accounts this will always only show information for
            PIX transfers.
          additionalProperties:
            $ref: '#/components/schemas/TransferTypeInfo'
          example:
            pix:
              currencies:
                - BRL
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
        policyEvaluation:
          $ref: '#/components/schemas/PolicyEvaluation'
        fingerprint:
          $ref: '#/components/schemas/Fingerprint'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    IdempotencyKey:
      type: string
      description: >-
        Universally unique identifier (UUID v4) idempotency key. This key is
        utilized to ensure exactly-once execution of mutating requests.
      format: uuid
      example: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
    PixAccountType:
      type: string
      title: Account type
      description: Beneficiary account type.
      enum:
        - checking
        - savings
        - salary
        - prepaid
      example: checking
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    ExternalFiatAccountStatus:
      description: >-
        Status of the account. A `pending` status indicates that the linking is
        in-progress; `complete` indicates the account was linked successfully;
        `failed` indicates it failed.
      type: string
      enum:
        - pending
        - complete
        - failed
    TransferTypeInfo:
      type: object
      required:
        - currencies
      description: Additional information for specific transfer type.
      properties:
        currencies:
          type: array
          uniqueItems: true
          items:
            $ref: '#/components/schemas/FiatCurrency'
        additionalProperties:
          description: Additional properties that apply to specific transfer type.
          type: object
          properties:
            transactionLimits:
              type: integer
              description: Transaction amount limit for the transfer type.
              example: 100000
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    PolicyEvaluation:
      type: object
      description: >-
        Results of policy evaluation. Only present if a policy decision has been
        recorded.
      nullable: true
      required:
        - status
      properties:
        status:
          description: Status of the policy evaluation.
          type: string
          enum:
            - approved
            - pending
            - rejected
            - expired
            - cancelled
            - failed
          example: approved
    Fingerprint:
      type: string
      description: >-
        A UUID that uniquely identifies the account number. If the same account
        is used more than once, each card object will have a different id, but
        the fingerprint will stay the same.
      example: eb170539-9e1c-4e92-bf4f-1d09534fdca2
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    BadRequest:
      description: The request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: BadRequest
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 400
              message: Bad request.
          examples:
            response:
              value:
                code: 400
                message: Bad request.
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````